#include <iostream>
#include "include/Crypt.h"

const char START = 'a';
const char END = 'z';

/**
 @brief Take a string on command line argument to encrypt it. For vigenere encnyption, the text is encrypted with itself as a key
 **/
int main( int argc, char* argv[]  )
{
  std::string txt = argv[1] ;
  std::cout << "to encrypt :" << txt << std::endl;
  std::cout << "code cesar :" <<  Crypt::cesar(txt, 3 ) << std::endl ;
  std::cout << "code vigenere :" << Crypt::vigenere(txt, txt ) << std::endl ;
  std::cout << "code atbash :" << Crypt::atbash( txt ) << std::endl ;
  
  return 0;
}
